<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
 
    <h2>TASK 66</h2>

    <!-- master container -->
    <div class="jumbotron container col-sm-4 form-group" style="margin-left: 400px; border-radius: 55px;">
      <div style="margin-left: 70px;">
        <div class="row form-group">
          <div class="col-sm-6">
            <label for="country">Province </label>
          </div>
          <div class="col-sm-6" style="margin-left: -60px;">
            <select id="master-province-select" name="province" class="form-control">
              <option value="none">select province </option>
            </select>
          </div>
        </div>
      </div>
      <div style="margin-left: 70px;">
        <div class="row form-group">
          <div class="col-sm-6">
            <label for="country">District </label>
          </div>
          <div class="col-sm-6" style="margin-left: -60px;">
            <select id="master-district-select" name="district" class="form-control" disabled> 

            </select>
          </div>
        </div>
      </div>
      <div style="margin-left: 70px;">
        <div class="row form-group">
          <div class="col-sm-6">
            <label for="country">Ward </label>
          </div>
          <div class="col-sm-6" style="margin-left: -60px;">
            <select id="master-ward-select" name="ward" class="form-control" disabled>
              
            </select>
          </div>
        </div>
      </div>
    </div>
    
    <div class="row col-sm-12">

        <!-- CRUD - province -->

        <div class="col-sm-4" >
          <h3> CRUD of Province</h3>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="province">Name </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <input id="inp-province-name" type="text" value="">
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="province">Code </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <input id="inp-province-code" type="text" value="">
              </div>
            </div>
          </div>

          <div style="margin-left: 0px;">
            <div class="row">
              <div class="col-sm-4 ">
                <button id="province-create_data" class="btn btn-success form-control">Create</button>
              </div>
              <div class="col-sm-4 ">
                <button id="province-update_data" class="btn btn-info form-control">Update</button>
              </div>
              <div class="col-sm-4">
                <button id="province-delete_data" class="btn btn-warning form-control">Delete</button>
              </div>
            </div>
          </div>
         </div>
        
        <!-- CRUD - district -->

        <div class="col-sm-4" style="border-left: 2px ; border-left-color: aqua; border-top-color: white; border-bottom-color: white; border-right-color: white ; border-style: dashed;">
          <h3> CRUD of District</h3>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="district">Name </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <input id="inp-district-name" >
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="district">Prefix </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
               <!-- <input type="text" id="district-prefix-select" name="district" class="form-control" > -->
                <select type="text" id="district-prefix-select" name="district-prefix-select" class="form-control" > 
                  <option value=""></option>
                  <option value="none"></option>
                  <option value="quan">Quận</option>
                  <option value="huyen">Huyện</option>
                  <option value="thixa">Thị Xã</option>
                </select> 
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="district">Province<span style="color: red;">(*)</span> </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <select id="district-province-select" name="district-province-select" class="form-control" >
                  <option value=""></option>
                  <option value="none"></option>
                </select>
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row">
              <div class="col-sm-4 ">
                <button id="district-create_data" class="btn btn-success form-control">Create</button>
              </div>
              <div class="col-sm-4 ">
                <button id="district-update_data" class="btn btn-info form-control">Update</button>
              </div>
              <div class="col-sm-4">
                <button id="district-delete_data" class="btn btn-warning form-control">Delete</button>
              </div>
            </div>
          </div>
         </div>
        

        <!-- CRUD - ward -->

        <div class="col-sm-4" style="border-left: 2px ; border-left-color: aqua; border-top-color: white; border-bottom-color: white; border-right-color: white ; border-style: dashed;">
          <h3> CRUD of Ward</h3>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="ward">Name<span style="color: red;">(*)</span>  </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <input id="inp-ward-name" >
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="ward">Prefix </label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <select id="ward-prefix-select" name="ward-prefix-select" class="form-control" > 
                  <option value=""></option>
                  <option value="none"></option>
                  <option value="xa">Xã</option>
                  <option value="phuong">Phường</option>
                  <option value="thitran">Thị trấn</option>
                </select>
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="province">Province</label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <select id="ward-province-select" name="ward-province-select" class="form-control" >
                  <option value=""></option>
                  <option value="none"></option>
                </select>
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row form-group">
              <div class="col-sm-6">
                <label for="district">District</label>
              </div>
              <div class="col-sm-6" style="margin-left: -60px;">
                <select id="ward-district-select" name="ward-district-select" class="form-control" >
                  <option value=""></option>
                  <option value="none"></option>
                </select>
              </div>
            </div>
          </div>
          <div style="margin-left: 0px;">
            <div class="row">
              <div class="col-sm-4 ">
                <button id="ward-create_data" class="btn btn-success form-control">Create</button>
              </div>
              <div class="col-sm-4 ">
                <button id="ward-update_data" class="btn btn-info form-control">Update</button>
              </div>
              <div class="col-sm-4">
                <button id="ward-delete_data" class="btn btn-warning form-control">Delete</button>
              </div>
            </div>
          </div>
        </div>

    </div>
 
  <script>
    
    var gProvinceSelectElement = $("#master-province-select");
    var gDistrictSelectElement = $("#master-district-select");
    var gWardSelectElement = $("#master-ward-select");
    var gProvinceId = "";
    var gDistrictId = "";
    var gDistProvinceId = "";
    var gWardId = "";
    var gDistrict_Ward_Id = "";
    var gProvinceMasterId = "";
    $(document).ready(function(){

      //load province select
      MasterForm_callApiLoadAllProvince();
    
    })


    //get data province
    function MasterForm_callApiLoadAllProvince(){
      $.ajax({
      url: "http://localhost:8080/all-provinces",
      method: "GET",
      success: function (pObjRes) {
        console.log(pObjRes);
        MasterForm_loadAllProvinceToSelect(pObjRes);
        DistrictForm_loadDataToProvinceSelect(pObjRes);
        
        
      },
      error: function (pXhrObj) {
        console.log(pXhrObj);
      }
    });
    }
    
    function MasterForm_loadAllProvinceToSelect(provinceList) {
      for (i = 0; i < provinceList.length; i++) {
        var provinceOption = $("<option/>");
        provinceOption.prop("value", provinceList[i].id);
        provinceOption.prop("text", provinceList[i].name);
        gProvinceSelectElement.append(provinceOption);
      };
    }
   
    //get district by province id
        
    $("#master-province-select").on("change", function () {
        onClick_MasterProvinceSelect()
    });
  
    function onClick_MasterProvinceSelect(){
      var provinceId = $("#master-province-select").val();
        if (provinceId != "none"){
          gDistrictSelectElement.prop("disabled", false);
          gDistrictSelectElement.html("");
          $("<option>", {
                value: "none",
                text: "select district"
            }).appendTo(gDistrictSelectElement);

          gWardSelectElement.prop("disabled", false);
          gWardSelectElement.html("");
          $("<option>", {
              value: "none",
              text: "select ward"
          }).appendTo(gWardSelectElement);

          gProvinceId = provinceId;
          MasterForm_callAPIGetDistrictsByProvinceId(provinceId);
          ProvinceForm_callApiLoadProvById(provinceId);
          //onProvince_Ward_SelectClick()
          
        }else {
        $("#master-district-select").prop("disabled", "disabled");
        $("#master-district-select").html("");
        gWardSelectElement.prop("disabled", "disabled");
        gWardSelectElement.html("");
        }
    }

    function MasterForm_callAPIGetDistrictsByProvinceId(paramId) {
      $.ajax({
        url: "http://localhost:8080/dist-by-prov-id/" + paramId,
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          MasterForm_loadDistrictsToSelect(pObjRes);
          //loadDataToDistrictSelect_Ward(pObjRes);
          //loadDistrictNameToForm(pObjRes);
          
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function MasterForm_loadDistrictsToSelect(districtList) {
     
      if (districtList.length > 0) {
        
        for (i = 0; i < districtList.length; i++) {
          var districtOption = $("<option/>");
            districtOption.prop("value", districtList[i].id);
            districtOption.prop("text", districtList[i].name);
            gDistrictSelectElement.append(districtOption);
        };
      }
    }
    
    //get ward by district id
    $("#master-district-select").on("change", function () {
        onClick_MasterDistrictSelect();
    });

    function onClick_MasterDistrictSelect(){
      
      var districtId = $("#master-district-select").val();
      
      if (districtId != "none"){
        gWardSelectElement.prop("disabled", false);
        gWardSelectElement.html("");
        $("<option>", {
                value: "none",
                text: "select ward"
            }).appendTo(gWardSelectElement);
        gDistrictId = districtId;
        MasterForm_callAPIGetWardByDistrictId(districtId);
        DistrictForm_callApiLoadDistrictById(districtId);
                
      }else {
        gWardSelectElement.prop("disabled", "disabled");
        gWardSelectElement.html("");
      }
    }

    function MasterForm_callAPIGetWardByDistrictId(paramId) {
          
      $.ajax({
        url: "http://localhost:8080/ward-by-dist-id/" + paramId,
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          MasterForm_loadWardsToSelect(pObjRes);
          
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function MasterForm_loadWardsToSelect(wardList) {
      if (wardList.length > 0) {
          for (i = 0; i < wardList.length; i++) {
          var wardOption = $("<option/>");
          wardOption.prop("value", wardList[i].id);
          wardOption.prop("text", wardList[i].name);
          gWardSelectElement.append(wardOption);
         
        };
      }
    }


    //CRUD for PROVINCE
      
      //add event for CREATE button
      $("#province-create_data").on('click', function(){
        ProvinceForm_onBtnCreateClick();
      });

      //add event for UPDATE button
      $("#province-update_data").on('click', function(){
        ProvinceForm_onBtnUpdateClick();
      });

      function ProvinceForm_onBtnCreateClick(){

        var vProObj = {
            name:"",
            code:"",
        };

        ProvinceForm_getInputProvinceData(vProObj);

        ProvinceForm_callApiCreateProvince(vProObj);
      }

      function ProvinceForm_getInputProvinceData(paramData){
        paramData.name = $("#inp-province-name").val();
        paramData.code = $("#inp-province-code").val();
      }

      function ProvinceForm_clearProvinceForm(){
        $("#inp-province-name").val("");
        $("#inp-province-code").val("");
      }

      function ProvinceForm_callApiCreateProvince(paramData){
          $.ajax({
            url: "http://localhost:8080/province-create",
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              ProvinceForm_clearProvinceForm();
              MasterForm_callApiLoadAllProvince();

            },
            error: function(err){
              console.log(err.response);
            }
          })
      }

      function ProvinceForm_onBtnUpdateClick(){
        var vProObj = {
            name:"",
            code:"",
        };

        ProvinceForm_getInputProvinceData(vProObj);

        ProvinceForm_callApiUpdateProvince(vProObj);
      }

      function ProvinceForm_callApiUpdateProvince(paramData){
        $.ajax({
            url: "http://localhost:8080/province-update/" + gProvinceId,
            type: "PUT",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              ProvinceForm_clearProvinceForm();
              MasterForm_callApiLoadAllProvince();

            },
            error: function(err){
              console.log(err.response);
            }
          })
      }

      function ProvinceForm_callApiLoadProvById(paramId){
        $.ajax({
        url: "http://localhost:8080/province/" + paramId,
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          ProvinceForm_loadDataToProvinceForm(pObjRes);
          //loadSelectedDistProvince(pObjRes);
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        }
      });
      };

      function ProvinceForm_loadDataToProvinceForm(paramData){
        console.log(paramData);
        $("#inp-province-name").val(paramData.name);
        $("#inp-province-code").val(paramData.code);
        //document.getElementById("inp-province-name").value = paramData.name;
        //document.getElementById("inp-province-code").value = paramData.code;
      }

    //CRUD for DISTRICT

      //add event for CREATE button
      $("#district-create_data").on('click', function(){
        DistrictForm_onBtnCreateClick();
      });

      //add event for UPDATE button
      $("#district-update_data").on('click', function(){
              DistrictForm_onBtnUpdateClick();
      });

      function DistrictForm_onBtnCreateClick(){
          var vDistObj = {
              name:"",
              prefix:"",
             
          };

          DistrictForm_getInputDistrictData(vDistObj);
          console.log(vDistObj);

          DistrictForm_callApiCreateDistrict(vDistObj);
      }

      function DistrictForm_loadDataToProvinceSelect(provinceList){
        var vProvinceSelect = $("#district-province-select");
        for (i = 0; i < provinceList.length; i++) {
        var provinceOption = $("<option/>");
        provinceOption.prop("value", provinceList[i].id);
        provinceOption.prop("text", provinceList[i].name);
        vProvinceSelect.append(provinceOption);
        };

      }

      function DistrictForm_loadDistrictDataToForm(paramDist){
        $("#inp-district-name").val(paramDist.name);
        $('select[name=district-prefix-select] option:first').html(paramDist.prefix);
      }

      function DistrictForm_loadSelectedProvince(param){
        console.log(param.province.name); 
        $('select[name=district-province-select] option:first').html(param.province.name)
      }

      function DistrictForm_callApiLoadDistrictById(paramId){
        $.ajax({
        url: "http://localhost:8080/district/" + paramId,
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          DistrictForm_loadDistrictDataToForm(pObjRes);
          DistrictForm_loadSelectedProvince(pObjRes);
          gDistrictId = pObjRes.id;
          console.log(gDistrictId);
          WardForm_callAPIGetDistrictByProvinceId(pObjRes.province.id);
        
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        }
      });
      }

      function DistrictForm_getInputDistrictData(paramData){
        paramData.name = $("#inp-district-name").val();

        var selectedPrefix =  $('#district-prefix-select').find(':selected').html();
        paramData.prefix = selectedPrefix;
      }

      function DistrictForm_callApiCreateDistrict(paramData){
        var vProviceDistId = $("#district-province-select").find(':selected').val();
        console.log(vProviceDistId);
        $.ajax({
            url: "http://localhost:8080/district-create/" + vProviceDistId,
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              DistrictForm_clearDistrictForm();
              MasterForm_callAPIGetDistrictsByProvinceId(gProvinceId);

            },
            error: function(err){
              console.log(err.response);
            }
          })
      }

      function DistrictForm_clearDistrictForm(){
        $("#inp-district-name").val("");
        $("#district-prefix-select").val("none");
        $("#district-province-select").val("none");
      }

      function DistrictForm_onBtnUpdateClick(){
        var vDistObj = {
              name:"",
              prefix:"",
        };

        var vSelectedProvince = $("#district-province-select").val();

          DistrictForm_getInputDistrictDataForUpdate(vDistObj);
          console.log(vDistObj);

          DistrictForm_callApiUpdateDistrict(vDistObj, vSelectedProvince);
      }

      function DistrictForm_callApiUpdateDistrict(paramData, paramProvId){
        //var gProviceDistId = $("#district-province-select").find(':selected').val();
        console.log(gDistrictId);
        console.log(paramData);
        console.log(paramProvId);
        $.ajax({
            url: "http://localhost:8080/district-update/" + gDistrictId + "/" + paramProvId,
            type: "PUT",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              ProvinceForm_clearProvinceForm();
              MasterForm_callApiLoadAllProvince();

            },
            error: function(err){
              console.log(err.response);
            }
          })
          
      }

      function DistrictForm_getInputDistrictDataForUpdate(paramData){
        paramData.name = $("#inp-district-name").val();

        var selectedPrefix =  $('#district-prefix-select').find(':selected').html();
        paramData.prefix = selectedPrefix;
      }

      function DistrictForm_getInputDistProvineDataForUpdate(){
        var selectedProvince = $('#district-province-select').find(':selected').val();
        console.log(selectedProvince);
        gProvinceId = selectedProvince;
      }

    //CRUD for WARD

      //add event for CREATE button
      $("#ward-create_data").on('click', function(){
          WardForm_onBtnCreateClick();
      });

      //add event for UPDATE button
      $("#ward-update_data").on('click', function(){
          WardForm_onBtnUpdateClick();
      });

      $("#master-ward-select").on("change", function () {
          MasterForm_onWardSelectClick()
      })
      
      function MasterForm_onWardSelectClick(){
        var paramId = $("#master-ward-select").find(':selected').val();
          gWardId = paramId;
          //console.log(gWardId);
          
          WardForm_callAPILoadWardById(paramId);
         
      }
         
      function WardForm_callAPILoadWardById(paramId){
          console.log(paramId);
          $.ajax({
            url: "http://localhost:8080/ward/" + paramId,
            method: "GET",
            success: function (pObjRes) {
              console.log(pObjRes);
              
              WardForm_callApiGetAllProvince();
              gProvinceMasterId = pObjRes.district.province.id;
              //callAPIGetDistrictByProvinceId_Ward(pObjRes.district.province.id);
              
              WardForm_loadWardToForm(pObjRes)
              WardForm_loadDistrictSelect(pObjRes.district.name);
              WardForm_loadProvinceSelect(pObjRes.district.province.name);
              console.log(pObjRes.district.province.id);
          
            },
            error: function (pXhrObj) {
              console.log(pXhrObj.response);
            }
          });
      }

      function WardForm_onBtnCreateClick(){
        var vWardObj = {
              name:"",
              prefix:"",
             
          };

          WardForm_getInputWardData(vWardObj);
          console.log(vWardObj);

          WardForm_callApiCreateWard(vWardObj);
      }

      function WardForm_loadWardToForm(paramDist){
        $("#inp-ward-name").val(paramDist.name);
        $('select[name=ward-prefix-select] option:first').html(paramDist.prefix);
      }
      
      function WardForm_loadDistrictSelect(paramData){
          $('select[name=ward-district-select] option:first').html(paramData);
      }

      function WardForm_loadProvinceSelect(paramData){
          $('select[name=ward-province-select] option:first').html(paramData);
      }

      function WardForm_loadDataToDistrictSelect(provinceList){
        var vProvinceSelect = $("#district-province-select");
        for (i = 0; i < provinceList.length; i++) {
        var provinceOption = $("<option/>");
        provinceOption.prop("value", provinceList[i].id);
        provinceOption.prop("text", provinceList[i].name);
        vProvinceSelect.append(provinceOption);
        };

      }

      function WardForm_getInputWardData(paramData){
        paramData.name = $("#inp-ward-name").val();
        var vSelectedPrefix = $("#ward-prefix-select").find(':selected').html();
        paramData.prefix = vSelectedPrefix;
      }

      function WardForm_callApiCreateWard(paramData){
        var gDistrictWardId = $("#ward-district-select").find(':selected').val();
        console.log(gDistrictWardId);
        $.ajax({
            url: "http://localhost:8080/district-create/" + gDistrictWardId,
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              WardForm_clearWardForm();
              MasterForm_callAPIGetWardByDistrictId(gDistrictId);

            },
            error: function(err){
              console.log(err.response);
            }
          })
      }

      function WardForm_clearWardForm(){
      $("#inp-ward-name").val("");
      $("#ward-prefix-select").val("none");
      $("#ward-district-select").val("none");
      $("#ward-province-select").val("none");
    }

      function WardForm_onBtnUpdateClick(){
        var vWardObj = {
              name:"",
              prefix:"",
             
          };

          WardForm_getInputWardData(vWardObj);
          console.log(vWardObj);

          WardForm_callApiUpdateWard(vWardObj);
      }

      $("#ward-district-select").on("change", function () {
          onDistrict_Ward_SelectClick()
      })

      function onDistrict_Ward_SelectClick(){
        var paramId = $("#ward-district-select").find(':selected').val();
          gDistrict_Ward_Id = paramId;
          console.log(gDistrict_Ward_Id);
      }

      $("#ward-province-select").on("change", function () {
         WardForm_onProvinceSelectClick()
      })

      function WardForm_onProvinceSelectClick(){
          var paramId = $("#ward-province-select").find(':selected').val();
          console.log(paramId);
          WardForm_callApiLoadProvinceById(paramId);

          gProvinceSelectElement.on("change", function () {
             onClick_MasterProvinceSelect()
          });
      }

      function WardForm_callApiUpdateWard(paramData){
        console.log(gWardId);
        console.log(gDistrict_Ward_Id);

        $.ajax({
            url: "http://localhost:8080/ward-update/" + gWardId + "/" + gDistrict_Ward_Id,
            type: "PUT",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function(res){
              console.log(res);
              //clearWardForm();
              //getWardByDistrictId(gDistrictId);
              MasterForm_callApiLoadAllProvince();
            },
            error: function(err){
              console.log(err.response);
            }
          })
      }
      
      function WardForm_callApiLoadProvinceById(paramId){
          $.ajax({
          url: "http://localhost:8080/province/" + paramId,
          method: "GET",
          success: function (pObjRes) {
            console.log(pObjRes);
            WardForm_callAPIGetDistrictByProvinceId(pObjRes.id);
            
          },
          error: function (pXhrObj) {
            console.log(pXhrObj);
          }
          });
      }

      function WardForm_callAPIGetDistrictByProvinceId(paramId) {
      $.ajax({
        url: "http://localhost:8080/dist-by-prov-id/" + paramId,
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          WardForm_loadDataToDistrictSelect(pObjRes);
                    
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

      function WardForm_loadDataToDistrictSelect(districtList) {
        
        var vDistrictSelect_Ward_Element = $("#ward-district-select").html("");

        if (districtList.length > 0) {
          
          for (i = 0; i < districtList.length; i++) {
            var districtOption = $("<option/>");
              districtOption.prop("value", districtList[i].id);
              districtOption.prop("text", districtList[i].name);
              vDistrictSelect_Ward_Element.append(districtOption);
          };
        }
    }

      function WardForm_callApiGetAllProvince(){
          $.ajax({
          url: "http://localhost:8080/all-provinces",
          method: "GET",
          success: function (pObjRes) {
            console.log(pObjRes);
            WardForm_loadDataToProvinceSelect(pObjRes);
            
          },
          error: function (pXhrObj) {
            console.log(pXhrObj);
          }
        });
    }

      function WardForm_loadDataToProvinceSelect(provinceList){
          var vProvinceSelect = $("#ward-province-select");
          for (i = 0; i < provinceList.length; i++) {
          var provinceOption = $("<option/>");
          provinceOption.prop("value", provinceList[i].id);
          provinceOption.prop("text", provinceList[i].name);
          vProvinceSelect.append(provinceOption);
          };
      }
 
  </script>
</body>

</html>

